## knutclient 1.0.5

=== CMakeLists.txt ===
project(knutclient)
cmake_minimum_required(VERSION 2.6)

find_package(KDE4 REQUIRED)
find_package(Qt4 REQUIRED )


add_subdirectory(src)
add_subdirectory(pics)
add_subdirectory(icons)
add_subdirectory(po)
add_subdirectory(doc)
########### install files ###############

###install( FILES knutclient.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
install( FILES knutclient.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} ) 
install( FILES knutclient.notifyrc DESTINATION ${DATA_INSTALL_DIR}/knutclient)

=== doc/CMakeLists.txt ===
add_subdirectory(cs)
add_subdirectory(en)

=== icons/CMakeLists.txt ===
kde4_install_icons(${ICON_INSTALL_DIR} )

=== pics/CMakeLists.txt ===
#message(STATUS "my sources: ${DATA_INSTALL_DIR}")
install( FILES knc_analog.png knc_conn.png knc_error.png knc_mpref.png DESTINATION ${DATA_INSTALL_DIR}/knutclient/pics ) 
install( FILES knc_panel.png knc_ups.png knc_batt.png knc_dock.png DESTINATION ${DATA_INSTALL_DIR}/knutclient/pics ) 
install( FILES knc_main.png knc_mset.png knc_upses.png DESTINATION ${DATA_INSTALL_DIR}/knutclient/pics )

=== po/CMakeLists.txt ===
FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)
 
IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
	MESSAGE(
"------
                 NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)
 
        SET(catalogname knutclient)
 
        ADD_CUSTOM_TARGET(translations ALL)
 
        FILE(GLOB PO_FILES *.po)
 
        FOREACH(_poFile ${PO_FILES})
                GET_FILENAME_COMPONENT(_poFileName ${_poFile} NAME)
                STRING(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
                STRING(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )
 
                IF( _langCode )
                        GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
                        SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
 
                        ADD_CUSTOM_COMMAND(TARGET translations
                                COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
                                DEPENDS ${_poFile})
                        INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
                ENDIF( _langCode )
 
        ENDFOREACH(_poFile ${PO_FILES})
 
ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== src/CMakeLists.txt ===
add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
ADD_DEFINITIONS( -DQT_NO_DEBUG_OUTPUT )

include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES})

set(knutclient_SRCS
   knutclient.cpp
   main.cpp
   knutupsdata.cpp
   knutvardata.cpp 
   knutnet.cpp
   knutfrontpanel.cpp
   knutpanelmeter.cpp
   knutanalog.cpp
   knutnewupsdlg.cpp
   knutprefdlg.cpp
   knutdock.cpp
   knutmainwindow.cpp 
   knutprintupsvar.cpp
   knutrwvar.cpp
   knutinstcomms.cpp
 )

#kde4_automoc(${knutclient_SRCS})

#kde4_add_kcfg_files(knutclient_SRCS settings.kcfgc )

kde4_add_executable(knutclient ${knutclient_SRCS})

target_link_libraries(knutclient
                      ${KDE4_KDEUI_LIBS}
                      ${KDE4_KDECORE_LIBS}
                      ${QT_QTNETWORK_LIBRARIES}
)

install(TARGETS knutclient DESTINATION ${BIN_INSTALL_DIR} )


########### install files ###############

#install( FILES knutclient.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
install( FILES knutclientui.rc  DESTINATION  ${DATA_INSTALL_DIR}/knutclient )

=== doc/cs/CMakeLists.txt ===

KDE4_CREATE_HANDBOOK( index.docbook
  INSTALL_DESTINATION ${HTML_INSTALL_DIR}/cs
  SUBDIR knutclient
  )

=== doc/en/CMakeLists.txt ===

KDE4_CREATE_HANDBOOK( index.docbook
  INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en
  SUBDIR knutclient
  )

=== debian/changelog ===
knutclient (1.0.5-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * New patch to fix FTBFS with gcc 6 (Closes: #811882).

  [ Dmitry Smirnov ]
  * Standards-Version: 3.9.8.
  * Modernised Vcs URLs.
  * rules: build with all hardening.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 21 Aug 2016 13:53:07 +1000

knutclient (1.0.5-1) unstable; urgency=low

  * Re-packaged and re-introduced to Debian (Closes: #695840).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 15 Dec 2013 01:56:29 +1100

knutclient (0.9.5-1) unstable; urgency=low

  * New upstream release
  * debian/rules: remove the empty TODO file from dh_installdocs
  * debian/control: add a missing comma on Depends

 -- Arnaud Quette <aquette@debian.org>  Mon, 30 Mar 2009 09:29:30 +0200

knutclient (0.9.4-1) unstable; urgency=low

  * New upstream release
  * Merge back Ubuntu changes
  * debian/knutclient.menu: update section to fix lintian warnings
  * debian/watch: update the pattern for matching new releases (Closes: #471247)
  * debian/control:
    - move Homepage to the field and update the URL
    - update Standards-Version to 3.8.0
    - update debhelper Build-Depends to 5.0.51
    - add automake and autoconf to Build-Depends
    - update NUT URL
  * debian/rules:
    - fix lintian warning debian-rules-ignores-make-clean-error
    - add a commented call to dh_icons

 -- Arnaud Quette <aquette@debian.org>  Thu, 19 Jun 2008 11:09:50 +0200

knutclient (0.9.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS, patch by KiBi (Closes: #455358)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 18:36:10 +0100

knutclient (0.9.3-1) unstable; urgency=low

  * New upstream release (Closes: #410405)
  * debian/watch: remove the stable directory from the URL. This symlink seems
    to break uscan.
  * debian/rules: add a commented call to dh_iconcache (Ubuntu patch)

 -- Arnaud Quette <aquette@debian.org>  Mon, 19 Feb 2007 09:36:52 +0100

knutclient (0.9.2-1) unstable; urgency=low

  * New upstream release (Closes: #337211)
  * debian/control: update the Standards-Version to 3.7.2
  * debian/rules: dh_clean also suppress po/*gmo in the clean rule

 -- Arnaud Quette <aquette@debian.org>  Thu,  8 Feb 2007 12:58:35 +0100

knutclient (0.8.6-2) unstable; urgency=low

  * Rebuilt against KDE 3.4 with g++-4 for the C++ ABI transition
    (closes: #327959). Build-dependencies and shlibs updated accordingly.
  * debian/control: change Section to kde, and rework a bit the Homepage URL

 -- Arnaud Quette <aquette@debian.org>  Tue, 13 Sep 2005 11:12:18 +0200

knutclient (0.8.6-1) unstable; urgency=low

  * New upstream release (closes: #314005)
  * debian/control: update Standard to 3.6.2

 -- Arnaud Quette <aquette@debian.org>  Tue, 19 Jul 2005 09:03:18 +0200

knutclient (0.8.5-1) unstable; urgency=low

  * New upstream release

 -- Arnaud Quette <aquette@debian.org>  Sun, 17 Oct 2004 20:01:05 +0200

knutclient (0.8.4-1) unstable; urgency=low

  * New upstream release (closes: #265446)
  * debian/watch: update to new format
  * debian/knutclient.menu: change section to System

 -- Arnaud Quette <aquette@debian.org>  Sat, 11 Sep 2004 21:32:08 +0200

knutclient (0.8.3-1) unstable; urgency=low

  * New upstream release (closes: #259038)
  * debian/rules: properly install menu file by fixing dh_installmenu call

 -- Arnaud Quette <aquette@debian.org>  Thu, 12 Aug 2004 22:24:08 +0200

knutclient (0.8.2-2) unstable; urgency=low

  * debian/knutclient.menu: renamed from debian/menu
  * debian/knutclient.menu: reformat, complete command path and quotes strings
  * debian.knutclient.1x: change forgotten section, and update NUT URL

 -- Arnaud Quette <aquette@debian.org>  Thu,  8 Jul 2004 21:16:23 +0200

knutclient (0.8.2-1) unstable; urgency=low

  * New upstream release

 -- Arnaud Quette <aquette@debian.org>  Thu,  8 Jul 2004 13:26:43 +0200

knutclient (0.8.1-1) unstable; urgency=low

  * New upstream release
  * debian/watch: update target

 -- Arnaud Quette <aquette@debian.org>  Tue, 20 Apr 2004 21:08:38 +0200

knutclient (0.7.5-1) unstable; urgency=low

  * New upstream release

 -- Arnaud Quette <aquette@debian.org>  Sat, 14 Feb 2004 14:06:54 +0100

knutclient (0.7.4-1) unstable; urgency=low

  * New upstream release

 -- Arnaud Quette <aquette@debian.org>  Wed, 21 Jan 2004 22:17:05 +0100

knutclient (0.7.3-1) unstable; urgency=low

  * New upstream release

 -- Arnaud Quette <aquette@debian.org>  Wed,  5 Nov 2003 18:45:06 +0100

knutclient (0.7.2-release-1) unstable; urgency=low

  * New upstream release
  * debian/rules: add --enable-mt to configure call

 -- Arnaud Quette <aquette@debian.org>  Sat, 18 Oct 2003 15:52:04 +0200

knutclient (0.7.2-pre2-1) unstable; urgency=low

  * New upstream release
    * admin/debianrules has been updated to fix KDE doc path
      problems (thanks to Ben Burton) (closes: Bug#210962)
  * debian/preinst: add script for cleaning /usr/share/doc/HTML/*/knutclient/
    on upgrading from previous release
  * debian/control: add Homepage to Description
  * debian/control: change maintainer address to the good debian's one

 -- Arnaud Quette <aquette@debian.org>  Sun, 12 Oct 2003 18:32:02 +0200

knutclient (0.7.1-1) unstable; urgency=low

  * New upstream release

 -- Arnaud Quette <arnaud.quette@debian.org>  Thu, 11 Sep 2003 21:25:22 +0200

knutclient (0.7.0-release-1) unstable; urgency=low

  * New upstream release
  * debian/control: change Maintainer address to debian.org

 -- Arnaud Quette <arnaud.quette@debian.org>  Thu,  4 Sep 2003 23:42:05 +0200

knutclient (0.7.0-pre2-1) unstable; urgency=low

  * Initial Release (closes: Bug#201015).

 -- Arnaud Quette <arnaud.quette@free.fr>  Tue, 19 Aug 2003 18:44:47 +0200

=== debian/control ===
Source: knutclient
Section: kde
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), cmake
              ,kdelibs5-dev
Standards-Version: 3.9.8
Homepage: http://sites.google.com/a/prynych.cz/knutclient/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/knutclient.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/knutclient.git

Package: knutclient
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE GUI that displays UPS statistics from NUT's upsd
 KNutClient monitors UPS statistics through the NUT (Network UPS Tools,
 http://www.networkupstools.org/) framework on Linux and other systems. This
 information, presented in a nice visual format, can be invaluable on
 stations using an UPS.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
# uscan(1) configuration file.
version=3

https://code.google.com/p/knut/downloads/list?can=1 \
 .*/knutclient-([0-9.]+)\.tar\.(?:bz2|gz|xz)

## knutclient 1.1.1

=== debian/changelog ===
knutclient (1.1.1-2) groovy; urgency=medium

  * Remove "-caption %x %y %z" from desktop file to stop crash at launch

 -- Chris <dpkg@chris-nz.com>  Tue, 22 Jun 2021 00:34:43 +0000

knutclient (1.1.1-1) groovy; urgency=medium

  * New upstream release

 -- Chris <dpkg@chris-nz.com>  Thu, 17 Jun 2021 19:47:47 +1200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,34 @@
 Section: kde
 Priority: optional
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 9), cmake
-              ,kdelibs5-dev
-Standards-Version: 3.9.8
-Homepage: http://sites.google.com/a/prynych.cz/knutclient/
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/knutclient.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/knutclient.git
+Build-Depends: debhelper (>= 11),
+               cmake,
+               extra-cmake-modules,
+               gettext,
+               kdoctools5,
+               libkf5completion-dev,
+               libkf5config-dev,
+               libkf5configwidgets-dev,
+               libkf5coreaddons-dev,
+               libkf5crash-dev,
+               libkf5dbusaddons-dev,
+               libkf5doctools-dev,
+               libkf5iconthemes-dev,
+               libkf5notifications-dev,
+               libkf5widgetsaddons-dev,
+               libkf5windowsystem-dev,
+               libkf5xmlgui-dev,
+               qtbase5-dev
+Standards-Version: 4.5.0
+Homepage: http://www.knut.prynych.cz
+#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/knutclient.git
+#Vcs-Git: https://anonscm.debian.org/git/collab-maint/knutclient.git
+
+# does po/CMakeLists.txt basically do this?
+#ki18n_install(po)
+#if (KF5DocTools_FOUND)
+# kdoctools_install(po)
+#endif()
 
 Package: knutclient
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="filenamemangle=s/http.+#(.+)$/$1/,pgpmode=none" \
https://chris-nz.com/fakeupstream.php?what=\
https://drive.google.com/embeddedfolderview?hl=en&id=1rvRKe7uUMPPmkIUPAVABDLbU7ZxBFIbo#grid \
 .*#knutclient[-_]([0-9.]+)\.tar\.(?:bz2|gz|xz)
